Loading...
Searching...
No Matches
etl::reference_counted_message_pool< TCounter >::pool_message_parameters< TMessage1, TMessage2, TMessage3, TMessage4, TMessage5, TMessage6, TMessage7, TMessage8 > Struct Template Reference

## Public Member Functions

| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage1 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage2 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage3 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage4 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage5 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage6 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage7 not derived from etl::imessage")
| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TMessage1 >::value), "TMessage8 not derived from etl::imessage")

## Static Public Attributes

static ETL_CONSTANT size_t | max_size
static ETL_CONSTANT size_t | max_alignment

## Member Data Documentation

## max_alignment

template<typename TCounter>
template<typename TMessage1, typename TMessage2 = TMessage1, typename TMessage3 = TMessage1, typename TMessage4 = TMessage1, typename TMessage5 = TMessage1, typename TMessage6 = TMessage1, typename TMessage7 = TMessage1, typename TMessage8 = TMessage1>

ETL_CONSTANT size_t etl::reference_counted_message_pool< TCounter >::pool_message_parameters< TMessage1, TMessage2, TMessage3, TMessage4, TMessage5, TMessage6, TMessage7, TMessage8 >::max_alignment

static

Initial value:
=
etl::largest< etl::reference_counted_message<TMessage1, TCounter>, etl::reference_counted_message<TMessage2, TCounter>,
etl::reference_counted_message<TMessage3, TCounter>, etl::reference_counted_message<TMessage4, TCounter>,
etl::reference_counted_message<TMessage5, TCounter>, etl::reference_counted_message<TMessage6, TCounter>,
etl::reference_counted_message<TMessage7, TCounter>, etl::reference_counted_message<TMessage8, TCounter> >::alignment
etl::reference_counted_message
Definition reference_counted_message.h:69
etl::largest
Definition largest.h:45

## max_size

template<typename TCounter>
template<typename TMessage1, typename TMessage2 = TMessage1, typename TMessage3 = TMessage1, typename TMessage4 = TMessage1, typename TMessage5 = TMessage1, typename TMessage6 = TMessage1, typename TMessage7 = TMessage1, typename TMessage8 = TMessage1>

ETL_CONSTANT size_t etl::reference_counted_message_pool< TCounter >::pool_message_parameters< TMessage1, TMessage2, TMessage3, TMessage4, TMessage5, TMessage6, TMessage7, TMessage8 >::max_size

static

Initial value:
=
etl::largest< etl::reference_counted_message<TMessage1, TCounter>, etl::reference_counted_message<TMessage2, TCounter>,
etl::reference_counted_message<TMessage3, TCounter>, etl::reference_counted_message<TMessage4, TCounter>,
etl::reference_counted_message<TMessage5, TCounter>, etl::reference_counted_message<TMessage6, TCounter>,
etl::reference_counted_message<TMessage7, TCounter>, etl::reference_counted_message<TMessage8, TCounter> >::size
etl::size
ETL_CONSTEXPR TContainer::size_type size(const TContainer &container)
Definition iterator.h:1434

The documentation for this struct was generated from the following file:

- include/etl/reference_counted_message_pool.h